\NeedsTeXFormat{pLaTeX2e}[2000/11/03]
%\ProvidesClass{jacn}[2022/05/18 v.1.12 Class for JACN]
\ProvidesClass{jacn}[2023/01/30 v.1.13 Class for JACN]
% updated by T. Ueta
\def\@ptsize{0}
\newif\if@restonecol
\newif\if@draftmode
\newif\if@enablejfam \@enablejfamtrue
\newif\if@englishmode \@englishmodefalse
\DeclareOption{english}{\@englishmodetrue}
\DeclareOption{draft}{\overfullrule5\p@ \@draftmodetrue}
\DeclareOption{final}{\overfullrule\z@  \@draftmodefalse}
\DeclareOption{disablejfam}{\@enablejfamfalse}
\newif\if@nojis \@nojisfalse
\DeclareOption{nojis}{\@nojistrue}
\newif\if@openright
\DeclareOption{tombow}{%
   \tombowtrue \tombowdatetrue
   \setlength{\@tombowwidth}{.1\p@}%
   \@bannertoken{%
      \jobname\space(\number\year-\two@digits\month-\two@digits\day
      \space\two@digits\hour:\two@digits\minute)}%
   \maketombowbox}
\DeclareOption{tombo}{%
   \tombowtrue \tombowdatefalse
   \setlength{\@tombowwidth}{.1\p@}%
   \maketombowbox}
\ExecuteOptions{final}
\ProcessOptions\relax
%%% A4 paer
\paperwidth=210mm
\paperheight=297mm

\iftombow
   \newdimen\stockwidth  \stockwidth=257mm
   \newdimen\stockheight \stockheight=364mm
   \dimen@\stockwidth \advance\dimen@-\paperwidth
   \divide\dimen@\tw@ \advance\dimen@-1in
   \hoffset\dimen@
   \dimen@\stockheight \advance\dimen@-\paperheight
   \divide\dimen@\tw@  \advance\dimen@-1in
   \voffset\dimen@
\fi
%
%%% text/math font
\@tempswatrue
\ifx\ucs\@undefined\else
   \ifx\pfmtversion\@undefined\else
      \def\@tempx#1u#2\@nnil{\def\@tempx{#2}}
      \expandafter\@tempx\pfmtversion u\@nil\@nnil
      \ifx\@tempx\@nnil\else \@tempswafalse \fi
   \fi
\fi
\if@tempswa
   \expandafter\csname JY1/mc/m/n/10\endcsname\relax
   \def\@jacn@jy@enc{JY1}%
   \if@nojis
      \DeclareFontShape{JY1}{mc}{m}{n}{<-> s * [0.961] min10}{}
      \DeclareFontShape{JY1}{gt}{m}{n}{<-> s * [0.961] goth10}{}
   \else
       \DeclareFontShape{JY1}{mc}{m}{n}{<-> s * [0.961] jis}{}
      \DeclareFontShape{JY1}{gt}{m}{n}{<-> s * [0.961] jisg}{}
   \fi
   \DeclareFontShape{JT1}{mc}{m}{n}{<-> s * [0.961] tmin10}{}
   \DeclareFontShape{JT1}{gt}{m}{n}{<-> s * [0.961] tgoth10}{}
\else
   \expandafter\csname JY2/mc/m/n/10\endcsname\relax
   \def\@jacn@jy@enc{JY2}%
   \DeclareFontShape{JY2}{mc}{m}{n}{<-> s * [0.924690] upjisr-h}{}
   \DeclareFontShape{JY2}{gt}{m}{n}{<-> s * [0.924690] upjisg-h}{}
   \DeclareFontShape{JT2}{mc}{m}{n}{<-> s * [0.924690] upjisr-v}{}
   \DeclareFontShape{JT2}{gt}{m}{n}{<-> s * [0.924690] upjisg-v}{}
\fi

\expandafter\ifx\csname OT1/phv/m/n\endcsname\relax\else
   \DeclareFontShape{OT1}{phv}{l}{n}{<->HelveticaNeue-Light}{}
   \DeclareFontShape{OT1}{phv}{l}{sl}{<->HelveticaNeue-LightItalic}{}
   \DeclareFontShape{OT1}{phv}{l}{it}{<->ssub*phv/l/sl}{}
   \DeclareFontShape{OT1}{phv}{eb}{n}{<->HelveticaNeueLTW1G-Blk}{}
   \DeclareFontShape{OT1}{phv}{eb}{sl}{<->HelveticaNeueLTW1G-BlkIt}{}
   \DeclareFontShape{OT1}{phv}{eb}{it}{<->ssub*phv/eb/sl}{}
\fi
\if@enablejfam
   \DeclareSymbolFont{mincho}{\@jacn@jy@enc}{mc}{m}{n}
   \DeclareSymbolFontAlphabet{\mathmc}{mincho}
   \SetSymbolFont{mincho}{bold}{\@jacn@jy@enc}{gt}{m}{n}
   \jfam\symmincho
   \DeclareMathAlphabet{\mathgt}{\@jacn@jy@enc}{gt}{m}{n}
\else
  \DeclareRobustCommand{\mathmc}{%
    \@latex@error{Command \noexpand\mathmc invalid with\space
       `disablejfam' class option.}\@eha}
  \DeclareRobustCommand{\mathgt}{%
    \@latex@error{Command \noexpand\mathgt invalid with\space
       `disablejfam' class option.}\@eha}
\fi
\DeclareOldFontCommand{\mc}{\normalfont\mcfamily}{\mathmc}
\DeclareOldFontCommand{\gt}{\normalfont\gtfamily}{\mathgt}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*{\cal}{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*{\mit}{\@fontswitch\relax\mathnormal}
\RequirePackage{type1cm}
\def\@jacn@font@scale{1.081444}
\newdimen\@jacn@fontsize@tempdim
\let\@LaTeX@setfontsize\@setfontsize
\expandafter\def\expandafter\@setfontsize\expandafter{%
   \expandafter\protect\csname @setfontsize \endcsname}
\@namedef{@setfontsize }#1#2#3{%
   \@defaultunits\@jacn@fontsize@tempdim #2pt\relax\@nnil
   \@jacn@fontsize@tempdim\@jacn@font@scale\@jacn@fontsize@tempdim
   \edef\@adjustted@fsize{\strip@pt\@jacn@fontsize@tempdim}%
   \def\@tempa{\@LaTeX@setfontsize{#1}}%
   \expandafter\@tempa\expandafter{\@adjustted@fsize}{#3}}
%
%%% \normalsize: 9pt/5.5mm
\newdimen\defaultbaselineskip \defaultbaselineskip=5.5mm
\DeclareRobustCommand*\normalsize{%
   \@setfontsize\normalsize{9pt}\defaultbaselineskip
   \set@xkanjiskip}
\def\set@xkanjiskip{%
   \relax\@jacn@fontsize@tempdim\f@size\p@
   \divide\@jacn@fontsize@tempdim 4\relax
   \xkanjiskip\@jacn@fontsize@tempdim
      \@plus\p@
      \@minus\ifdim\@jacn@fontsize@tempdim>\p@ \p@
             \else                             \@jacn@fontsize@tempdim
             \fi}
\normalsize
\ifx\ucs\@undefined
   \setbox0\hbox{\char\euc"A1A1}%
\else
   \setbox0\hbox{\char\jis"3441}%
\fi
\setlength\Cht{\ht0}
\setlength\Cdp{\dp0}
\setlength\Cwd{\wd0}
\setlength\Cvs{\baselineskip}
\setlength\Chs{\wd0}
\DeclareRobustCommand*\small{%
   \@setfontsize\small{8pt}\defaultbaselineskip
   \set@xkanjiskip}
\DeclareRobustCommand*\footnotesize{%
   \@setfontsize\footnotesize{8pt}{5mm}%
   \set@xkanjiskip}%
\DeclareRobustCommand*\scriptsize{%
   \@setfontsize\scriptsize{7pt}{4mm}%
   \set@xkanjiskip}%
\DeclareRobustCommand*\tiny{%
   \@setfontsize\tiny{5pt}{3.5mm}%
   \set@xkanjiskip}%
\DeclareRobustCommand*\large{%
   \@setfontsize\large{10pt}\defaultbaselineskip
   \set@xkanjiskip}%
\DeclareRobustCommand*\Large{%
   \@setfontsize\Large{12pt}\defaultbaselineskip
   \set@xkanjiskip}%
\DeclareRobustCommand*\LARGE{%
   \@setfontsize\LARGE{16pt}{8mm}%
   \set@xkanjiskip}%
\DeclareRobustCommand*\huge{%
   \@setfontsize\huge{18pt}{8mm}%
   \set@xkanjiskip}%
\DeclareRobustCommand*\Huge{%
   \@setfontsize\Huge{24pt}{10mm}%
   \set@xkanjiskip}
%
%%% 25 letters/line * 2 columns + column-sep
\textwidth 53\Cwd
%%% 46 lines/page
\topskip     \Cht
\dimen@ 45\defaultbaselineskip \advance\dimen@\topskip
\textheight\dimen@
\headsep    4mm
\headheight \defaultbaselineskip
\footskip   2\defaultbaselineskip
\maxdepth  5\p@
%
%%% top/side margins
\dimen@ 23mm
\advance\dimen@-\headsep
\advance\dimen@-\headheight
\advance\dimen@ -1in
\topmargin\dimen@
\dimen@\paperwidth
\advance\dimen@-\textwidth \divide\dimen@\tw@
\advance\dimen@ -1in
\oddsidemargin \dimen@
\evensidemargin\dimen@
%
\columnsep     3\Cwd
\columnseprule \z@
\footnotesep   3.5mm %%% 0.7 * (\baselineskip for \footnotesize)
\skip\footins  .7\defaultbaselineskip
               \@plus  .3\defaultbaselineskip
               \@minus .3\defaultbaselineskip
\skip\@mpfootins    \skip\footins
\marginparsep    \Cwd
\dimen@\paperwidth \advance\dimen@-\textwidth \dimen@ .35\dimen@
\marginparwidth  \dimen@
\marginparpush   \defaultbaselineskip
\lineskip 3\p@
\normallineskip  \lineskip
\lineskiplimit   \lineskip
\dimen@\defaultbaselineskip\relax
\smallskipamount .25\dimen@
\medskipamount    .5\dimen@
\bigskipamount      \dimen@
\def\baselinestretch{}%%% empty ==> single space
\parindent          \Cwd
\parskip            \z@ \@plus .25\p@ \@minus.25\p@
\abovedisplayskip      .5\defaultbaselineskip \@plus \p@
\belowdisplayskip      .5\defaultbaselineskip \@plus \p@
\abovedisplayshortskip .5\defaultbaselineskip \@plus \p@
\belowdisplayshortskip .5\defaultbaselineskip \@plus \p@
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\arraycolsep     4\p@
\tabcolsep       4\p@
\arrayrulewidth .3\p@
\doublerulesep   2\p@
\tabbingsep      \labelsep
\fboxsep         3\p@
\fboxrule       .5\p@
\edef\footnoterule{%
   \kern-3\p@
   \hrule \@height.4\p@ \@depth\z@ \@width 50mm
   \kern 2.6\p@}
\def\@makefnmark{\hbox{\smash{\@textsuperscript{\selectfont
   \ifx\@thefnmark\@empty\else \@thefnmark \fi}}}}
\long\def\@makefntext#1{%
   \parindent 1zw\relax
   \ifx\@thefnmark\@empty
      \setbox\z@\hbox{}%
   \else
      \setbox\z@\hbox{\@thefnmark ）\<\hskip1zw}%
   \fi
   \leftskip2zw\relax
   \noindent
   \ifdim1.3zw<\wd\z@ \hskip-2zw \box\z@
   \else              \llap{\box\z@}%
   \fi
   #1\par}
\def\thefootnote{\@arabic\c@footnote}
\setcounter{footnote}{0}
\newif \if@omitfnmark
\def\footnote{%
   \@omitfnmarkfalse
   \@ifnextchar[%
      \@xfootnote
     {\stepcounter\@mpfn \protected@xdef\@thefnmark{\thempfn}%
      \def\@tempa{mpfootnote}%
      \ifx\@mpfn\@tempa \@footnotemark \fi
      \@footnotetext}}
\def\@xfootnote[#1]{%
   \protected@xdef\@thefnmark{#1}%
   \@footnotetext}
\def\footnotetext{%
   \@omitfnmarktrue
   \@ifnextchar[%
      \@xfootnotenext
     {\protected@xdef\@thefnmark{\thempfn}%
      \@footnotetext}}
\def\@xfootnotenext[#1]{%
   \protected@xdef\@thefnmark{#1}%
   \@footnotetext}
\def\footnotemark{%
    \@ifnextchar[%
       \@xfootnotemark
      {\stepcounter\@mpfn \protected@xdef\@thefnmark{\thempfn}%
       \@footnotemark}}
\def\@xfootnotemark[#1]{%
   \protected@xdef\@thefnmark{#1}%
   \@footnotemark}
\gdef\@curr@footnotemarks{}
\long\def\@footnotetext#1{%
   \def\@footnote@contents{#1}%
   \@ifnextchar[\@@footnotetext\@@footnotetext}
\def\@@footnotetext{\futurelet\@footnote@next\@@@footnotetext}
\newif\if@delayed@fnmark
\def\@@@footnotetext{%
   \@delayed@fnmarktrue
   \ifx\@footnote@next\footnote\else \@delayed@fnmarkfalse \fi
   \@@@@footnotetext}
\def\@@@@footnotetext{%
   \toks@\expandafter{\@curr@footnotemarks}%
   \protected\xdef\@curr@footnotemarks{\the\toks@\noexpand\@elt{\@thefnmark}}%
   \if@omitfnmark\else
      \if@delayed@fnmark\else \@show@fnmarks \fi
   \fi
   \toks@\expandafter{\@note@list}%
   \@temptokena\expandafter{\@footnote@contents}%
   \protected@xdef\@note@list{%
      \the\toks@
      \def\noexpand\@thefnmark{\@thefnmark}%
      \noexpand\@makefntext{\the\@temptokena}}%
   \ignorespaces}
\gdef\@note@list{}
\def\shownotes{%
   \ifx\@note@list\@empty\else
      \ifhmode \unskip\par \fi
      \addvspace\defaultbaselineskip
      \begingroup \small
      \begingroup \centering\gtfamily 注
      \par\endgroup
      \nobreak
      \@note@list
      \par\endgroup
      \global\let\@note@list\@empty
   \fi}
\def\@show@fnmarks{%
   \unskip\inhibitglue\nobreak
   \@simplify@list\@curr@footnotemarks
   \begingroup
   \let\@templista\@empty
   \let\@templistb\@empty
   \def\@elt##1{%
      \afterassignment\@tempz
      \count@=0##1\relax\@nil
      \ifx\@tempzz\@tempx
         \expandafter\def\expandafter\@templista\expandafter{%
            \@templista\@elt{##1}}%
      \else
         \expandafter\def\expandafter\@templistb\expandafter{%
            \@templistb\@elt{##1}}%
      \fi}%
   \def\@tempz##1\@nil{\def\@tempzz{##1}}%
   \def\@tempx{\relax}%
   \@curr@footnotemarks
   \toks@\expandafter{\@templista}%
   \@temptokena\expandafter{\@templistb}%
   \edef\@tempa{%
      \def\noexpand\@number@list{\the\toks@}%
      \def\noexpand\@nonnumber@list{\the\@temptokena}}%
   \expandafter\endgroup\@tempa
   \@ascending@sort@list\@number@list\@compare@num
   \@compress@list\@number@list
   \begingroup
   \def\@curr@fnmarks{\@gobble}%
   \def\@elt##1##2{%
      \count@##2\relax \advance\count@-##1\relax
      \edef\@curr@fnmarks{%
         \@curr@fnmarks{,\,}%
         \ifnum\count@>\@ne      ##1)--##2)%
         \else\ifnum\count@=\@ne ##1),\,##2)%
         \else                   ##1)%
         \fi\fi}}%
   \@number@list
   \ifx\@nonnumber@list\@empty\else
      \def\@elt##1{\edef\@curr@fnmarks{\@curr@fnmarks,##1)}}%
      \@nonnumber@list
   \fi
   \textsuperscript{\@curr@fnmarks\@empty}%
   \endgroup
   \global\let\@curr@footnotemarks\@empty}
\let\note\footnote
\let\notetext\footnotetext
\let\endnote\footnote
\let\endnotetext\footnotetext
%
%%% utilities
\def\@append@list#1#2{%
   \@addto@macro#1{\@elt{#2}}}%
\def\@addto@macro#1#2{%
   \expandafter\def\expandafter#1\expandafter{#1#2}}
\def\@simplify@list#1{%
   \begingroup
      \let\@templist\@empty
      \loop\ifx#1\@empty\else
         \@pop@list\@firstterm#1%
         \expandafter\@append@list\expandafter\@templist
            \expandafter{\@firstterm}%
         \expandafter\@remove@from@list\expandafter#1%
            \expandafter{\@firstterm}%
      \repeat
   \expandafter\endgroup\expandafter
   \def\expandafter#1\expandafter{\@templist}}
\def\@remove@from@list#1#2{%
   \begingroup
   \let\@templist\@empty
   \def\@to@be@removed{#2}%
   \let\@elt\@remove@from@list@elt
   #1%
   \expandafter\endgroup\expandafter
   \def\expandafter#1\expandafter{\@templist}}
\def\@remove@from@list@elt#1{%
   \def\@tempa{#1}%
   \ifx\@tempa\@to@be@removed\else
      \@append@list\@templist{#1}%
   \fi}%
\def\@pop@list#1#2{%
   \ifx#2\@empty \let#1\@empty
   \else         \expandafter\@pop@list@#2\@nil#1#2%
   \fi}
\def\@pop@list@\@elt#1#2\@nil#3#4{%
    \def#3{#1}\def#4{#2}}
\newcount\@compare@result
\def\@compare@num#1#2{%
   \@compare@result#1\relax
   \advance\@compare@result-#2\relax}
\def\@ascending@sort@list{\@sort@list<}
\def\@descending@sort@list{\@sort@list>}
\def\@sort@list#1#2#3{%
   \begingroup
   \let\@sort@templista\@empty
   \def\@elt##1{\@addto@sorted@list#1\@sort@templista{#3}{##1}}%
   #2%
   \expandafter\endgroup
   \expandafter\def\expandafter#2\expandafter{\@sort@templista}}
\newif\if@ignore@same@item
\def\@addto@sorted@list#1#2#3#4{%
   \begingroup
   \let\@sort@templistb\@empty
   \def\@tempz{\@elt{#4}}%
   \def\@elt##1{%
      #3{##1}{#4}%
      \def\@tempa{\@elt{##1}}%
      \let\@tempb\@empty
      \ifnum\z@#1\@compare@result
         \@csc@t\@tempa\@tempz\@tempa
         \def\@tempb{\@addto@sorted@list@skip}%
      \else
         \ifnum\z@=\@compare@result
            \if@ignore@same@item
               \def\@tempb{\@addto@sorted@list@skip}%
            \fi
         \fi
      \fi
      \@csc@t\@sort@templistb\@sort@templistb\@tempa
      \@tempb}%
   #2\@addto@sorted@list@{\@elt{#4}}%
   \expandafter\endgroup
   \expandafter\def\expandafter#2\expandafter{\@sort@templistb}}% 
\def\@addto@sorted@list@skip#1\@addto@sorted@list@#2{%
    \@addto@sorted@list@{#1}}
\def\@addto@sorted@list@#1{%
    \@addto@macro\@sort@templistb{#1}}
\def\@compress@list#1{%
   \begingroup
   \let\@templist\@empty
   \@tempcnta-\@M
   \@tempcntb-\@M
   \def\@elt##1{%
      \count@##1\relax
      \advance\count@\m@ne
      \ifnum\count@>\@tempcntb
         \ifnum\@tempcntb>\z@
            \toks@\expandafter{\@templist}%
            \edef\@templist{\the\toks@\noexpand\@elt{\the\@tempcnta}{\the\@tempcntb}}%
         \fi
         \@tempcnta##1\relax
         \@tempcntb\@tempcnta
      \else
         \@tempcntb##1\relax
      \fi}%
   #1%
   \ifnum\@tempcnta>\z@
      \toks@\expandafter{\@templist}%
      \edef\@templist{\the\toks@\noexpand\@elt{\the\@tempcnta}{\the\@tempcntb}}%
   \fi
   \expandafter\endgroup
   \expandafter\def\expandafter#1\expandafter{\@templist}}
\def\@csc@t#1#2#3{%
   \expandafter\expandafter\expandafter\def
   \expandafter\expandafter\expandafter#1%
   \expandafter\expandafter\expandafter{%
   \expandafter#2#3}}
%
%%% lists
\def\@listi{%
   \itemindent\z@
   \labelwidth1zw \labelsep\z@
   \topsep.5\baselineskip
   \leftmargin\leftmargini
   \def\makelabel##1{\hss##1\hfill}%
   \listparindent1zw\relax}
\let\@listI\@listi
%%%\@listi %%% \leftmargini などを設定した後で実行
\def\@listii{%
   \itemindent\z@
   \topsep\z@
   \leftmargin\leftmarginii
   \listparindent1zw\relax}
\def\@listiii{%
   \itemindent\z@
   \leftmargin\leftmarginiii
   \listparindent1zw\relax}
\def\@listiv{%
   \itemindent\z@
   \leftmargin\leftmarginiv
   \listparindent1zw\relax}
\def\@listv{%
   \itemindent\z@
   \leftmargin\leftmarginv
   \listparindent1zw\relax}
\def\@listvi{%
   \itemindent\z@
   \leftmargin\leftmarginvi
   \listparindent1zw\relax}
\def\@trivlist{%
   \if@noskipsec \leavevmode \fi
   \@topsepadd\topsep
   \ifvmode \advance\@topsepadd\partopsep
   \else    \unskip\par
   \fi
   \if@inlabel
      \@noparitemtrue
      \@noparlisttrue
   \else
      \if@newlist \@noitemerr \fi
      \@noparlistfalse
      \@topsep\@topsepadd
   \fi
   \advance\@topsep\parskip
   \parfillskip\@flushglue
   \par@deathcycles\z@
   \@setpar{%
      \if@newlist
         \advance\par@deathcycles\@ne
         \ifnum \par@deathcycles>\@m \@noitemerr{\@@par}\fi
      \else
         {\@@par}%
      \fi}%
   \global\@newlisttrue
   \@outerparskip\parskip}
\def\@mklab#1{%
   \setbox\z@\hbox{#1}%
   \ifdim\wd\z@>\labelwidth \box\z@
   \else                    \hbox to\labelwidth{\hfil\box\z@}%
   \fi}
\parsep         \z@
\itemsep        \z@
\topsep         \z@skip
\partopsep      \z@
\leftmargini   3\Cwd
\leftmarginii  2\Cwd
\leftmarginiii 2\Cwd
\leftmarginiv  2\Cwd
\leftmarginv   2\Cwd
\leftmarginvi  2\Cwd
\labelsep      \z@
\labelwidth    \Cwd
\@listi
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\def\theenumi{\@arabic\c@enumi}
\def\theenumii{\@roman\c@enumii}
\def\theenumiii{\@alph\c@enumiii}
\def\theenumiv{\@Roman\c@enumiv}
\def\labelenumi{\theenumi.}
\def\labelenumii{\theenumii.}
\def\labelenumiii{\theenumiii.}
\def\labelenumiv{\theenumiv.}
\def\p@enumii{\theenumi\,}
\def\p@enumiii{\theenumi\,\theenumii\,}
\def\p@enumiv{\p@enumiii\theenumiii\,}
\def\labelitemi{\textbullet}
\def\labelitemii{\textbf{\textendash}}
\def\labelitemiii{\textasteriskcentered}
\def\labelitemiv{\textperoidcentered}
\let\@latex@item\item
\def\itemize{%
   \let\item\@latex@item
   \ifnum \@itemdepth >\thr@@\@toodeep\else
      \advance\@itemdepth\@ne
      \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
      \expandafter\list\csname\@itemitem\endcsname\relax
   \fi}
\let\enditemize\endlist
\def\enumerate{%
   \let\item\@latex@item
   \ifnum\@enumdepth>\thr@@\@toodeep\else
      \advance\@enumdepth\@ne
      \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
      \expandafter\list
         \csname label\@enumctr\endcsname{%
            \labelsep\enumeratelabelsep\relax
            \advance\leftmargin\labelsep
            \itemsep\z@
            \usecounter\@enumctr
            \let\makelabel\@mklab
            \itemindent\z@}%
   \fi}
\let\endenumerate\endlist
\def\enumeratelabelsep{.5zw}
\def\quotation{\@testopt\@quotation{5zw}}
\def\@quotation[#1]{%
   \list{}{%
      \listparindent\Cwd
      \itemindent\listparindent
      \leftmargin #1\relax
      \rightmargin\z@}%
   \item\relax}
\def\endquotation{\endlist}
\def\quote{\@testopt\@quote{2zw}}
\def\@quote[#1]{%
   \list{}{%
      \listparindent\z@
      \itemindent\listparindent
      \leftmargin #1\relax
      \rightmargin\z@}%
   \item\relax}
\def\endquote{\endlist}
\def\description{%
   \list{}{%
      \topsep.5\defaultbaselineskip \partopsep\z@
      \leftmargin 2\Cwd
      \itemindent\z@
      \labelsep .5\Cwd
      \labelwidth1.5\Cwd
      \let\makelabel\@description@label}}
\def\enddescription{\endlist}
\def\@description@label#1{{\gtfamily #1}}
\newbox\@notation@firstlabel@prefix
\newif\if@mainmatter \@mainmattertrue
\def\frontmatter{%
   \@mainmatterfalse
   \pagenumbering{roman}}
\def\mainmatter{%
   \cleardoublepage
   \pagenumbering{arabic}%
   \setcounter{chapter}{0}%
   \@mainmattertrue}
\def\backmatter{%
   \clearpage
   \@mainmatterfalse}
\setcounter{secnumdepth}{4}
\newcounter{chapter}
\newcounter{section}[chapter]
\newcounter{subsection}[section]
\newcounter{subsubsection}[subsection]
\newcounter{paragraph}[subsubsection]
\newcounter{subparagraph}[paragraph]
\def\thechapter{\@Roman\c@chapter}
\def\thesection{\@arabic\c@section}
\def\thesubsection{\thesection.\@arabic\c@subsection}
\def\thesubsubsection{\thesubsection.\@arabic\c@subsubsection}
\def\theparagraph{\thesubsubsection.\@arabic\c@paragraph}
\def\thesubparagraph{\theparagraph.\@arabic\c@subparagraph}
\setcounter{subsection}{1}
\stepcounter{section}
\ifnum\c@subsection>\z@
   \def\stepcounter#1{%
      \addtocounter{#1}\@ne
      \exec@recursive@reset{#1}}
   \def\exec@recursive@reset#1{%
      \begingroup
      \let\@elt\@rstpelt
      \let\@@elt\@@addtoreset@elt
      \edef\@skiplist{\noexpand\@@elt{#1}}%
      \csname cl@#1\endcsname
      \endgroup}
   \def\@rstpelt#1{%
      \@tempswatrue
      \def\@tempa{#1}%
      \@skiplist
      \if@tempswa
         \global\csname c@#1\endcsname\z@
         \expandafter\def\expandafter\@skiplist\expandafter{%
            \@skiplist\@@elt{#1}}%
         \expandafter\expandafter\csname cl@#1\endcsname
      \fi}
   \def\@@addtoreset@elt#1{%
      \expandafter\ifx\csname c@#1\expandafter\endcsname
                      \csname c@\@tempa\endcsname
         \@tempswafalse
      \fi}
\fi
\setcounter{section}{0}
\setcounter{subsection}{0}
\def\chapter{\secdef\@chapter\@schapter}
\def\@chapter[#1]#2{%
   \@section@prepare
   \refstepcounter{chapter}%
   \@makesectionhead{\thechapter}{#2}%
   \ifnum\c@secnumdepth>\m@ne
      \addcontentsline{chapter}{\numberline{\thechapter}#1}%
   \fi}
\def\@schapter#1{%
   \@section@prepare
   \@makesectionhead{}{#1}}
\def\@section@prepare{%
   \if@inlabel   \leavevmode \fi
   \if@noskipsec \leavevmode \fi
   \ifhmode \unskip\par \fi}
\def\section{%
   \@section@prepare
   \secdef\@section\@ssection}
\def\@section[#1]#2{%
   \refstepcounter{section}%
   \@makesectionhead{\thesection}{#2}%
   \ifnum\c@secnumdepth>\z@
      \addcontentsline{section}{\numberline{\thesection}#1}%
   \fi}
\def\@ssection#1{\@makesectionhead{}{#1}}
\def\@makesectionhead{\@make@headings\Large}
\newbox\@sectheadbox
\def\@make@headings#1#2#3{%
   \null
   \nointerlineskip
   \setbox\@sectheadbox\vbox{\hsize\columnwidth \@parboxrestore
      \romanfamily\sfdefault \kanjifamily\gtdefault #1%
      \noindent
      \def\@tempa{#2}%
      \ifx\@tempa\@empty\else
         \setbox\tw@\hbox{#2\hspace{1zw}}%
         \leftskip\wd\tw@
         \hskip-\leftskip
         \box\tw@
      \fi
      #3}%
   \dimen@\ht\@sectheadbox
   \advance\dimen@\dp\@sectheadbox
   \advance\dimen@ .75\defaultbaselineskip
   \divide\dimen@\defaultbaselineskip
   \count@\dimen@
   \vbox to\count@\defaultbaselineskip{%
      \vskip-\Cht
      \vss \box\@sectheadbox \vss}%
   \nobreak
   \@afterindenttrue
   \@afterheading}
\def\subsection{%
   \@section@prepare
   \secdef\@subsection\@ssubsection}
\def\@subsection[#1]#2{%
   \refstepcounter{subsection}%
   \@makesubsectionhead{\thesubsection}{#2}%
   \ifnum\c@secnumdepth>\@ne
      \addcontentsline{subsection}{\numberline{\thesubsection}#1}%
   \fi}
\def\@ssubsection#1{%
   \@makesubsectionhead{}{#1}}
\def\@makesubsectionhead{\@make@headings\large}
\def\subsubsection{%
   \@startsection{subsubsection}{3}{\z@}%
      {\z@}{1sp plus 1sp minus 2sp}%
      {\reset@font\normalsize\sffamily\gtfamily}}
\def\paragraph{%
   \@startsection{paragraph}{4}{\Cwd}%
      {\z@}{1sp plus 1sp minus 2sp}%
      {\reset@font\normalsize\sffamily\gtfamily}}
\def\subparagraph{%
   \@startsection{subparagraph}{5}{\Cwd}%
      {\z@}{1sp plus 1sp minus 2sp}%
      {\reset@font\normalsize\sffamily\gtfamily}}
\def\@doendpe{%
   \@endpetrue
   \def\par{%
      \@restorepar
      \everypar{%
         \if@nobreak\else
            \clubpenalty\@clubpenalty
            \everypar{}%
         \fi}%
      \par
      \@endpefalse}%
   \everypar{%
      {\setbox\z@\lastbox}%
      \if@nobreak\else \clubpenalty\@clubpenalty \fi
      \everypar{}%
      \@endpefalse}}
%
%%% equation number
\@addtoreset{equation}{chapter}
\def\theequation{\thechapter.\@arabic\c@equation}
%
%%% figures/tables
\newcounter{subcaption}
\def\thesubcaption{(\@alph\c@subcaption)}
\def\topfraction{.9}
\def\bottomfraction{.9}
\def\dbltopfraction{.9}
\def\textfraction{.1}
\def\floatpagefraction{.9}
\def\dblfloatpagefraction{.5}
\setcounter{topnumber}{5}
\setcounter{bottomnumber}{5}
\setcounter{dbltopnumber}{5}
\setcounter{totalnumber}{10}
\floatsep        5mm \@plus\p@
\textfloatsep    \floatsep
\dblfloatsep     \floatsep
\dbltextfloatsep \floatsep \advance\dbltextfloatsep \z@ \@plus.01fil\relax
\intextsep       \floatsep
\dimen@\intextsep \advance\dimen@-\lineskip
\edef\intextpresep{\the\dimen@}
\dimen@\intextsep \advance\dimen@-\defaultbaselineskip \advance\dimen@\Cht
\edef\intextpostsep{\the\dimen@}
\@fpsep          \defaultbaselineskip \@plus 1fil
\@fptop          \z@ \@plus 1fil
\@fpbot          \z@ \@plus 1fil
\@dblfpsep       \defaultbaselineskip \@plus 1fil
\@dblfptop       \z@ \@plus 1fil
\@dblfpbot       \z@ \@plus 1fil
\newcounter{figure}
\def\thefigure{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename\thefigure}
\def\figurename{図}
\def\figure{\@float{figure}}
\def\endfigure{\end@float}
\@namedef{figure*}{\@dblfloat{figure}}
\@namedef{endfigure*}{\end@dblfloat}
\newcounter{table}[chapter]
\def\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename\thetable}
\def\tablename{表}
\def\table{\@float{table}}
\def\endtable{\end@float}
\@namedef{table*}{\@dblfloat{table}}
\@namedef{endtable*}{\end@dblfloat}
\newskip\abovecaptionskip
\newskip\belowcaptionskip
\abovecaptionskip \z@
\belowcaptionskip \z@
\def\@floatboxreset{%
   \reset@font
   \def\@tempa{figure}%
   \setcounter{subcaption}{0}%
   \small
   \ifx\@captype\@tempa
      \abovecaptionskip 1.5mm
   \else
      \belowcaptionskip.45mm %%% 1.5mm - \lineskip
   \fi
   \@setminipage}
\def\setcaptype#1{%
   \expandafter\ifx\csname ftype@#1\endcsname\relax
   \else
      \abovecaptionskip \z@
      \belowcaptionskip \z@
      \def\@captype{#1}%
      \@floatboxreset
   \fi}
%
%%% \caption*: omit caption number
\newif\if@omit@maincaption
\def\caption{%
   \ifx\@captype\@undefined
      \@latex@error{\noexpand\caption outside float}\@ehd
      \expandafter\@gobble
   \else
      \expandafter\@firstofone
   \fi
   \@ifstar
      {\@omit@maincaptiontrue\@caption}%
      {\@omit@maincaptionfalse\@caption}}
\long\def\@caption{%
   \refstepcounter\@captype
   \@dblarg{\@@caption\@captype}}
\gdef\@caption@list{}
\long\def\@@caption#1[#2]#3{%
   \if@omit@maincaption\else
      \ifhmode\par\fi
      \begingroup \centering
      \csname fnum@#1\endcsname  % modified by TU
   		\hspace{1zw} #3 \par
      \endgroup
   \fi
   \toks@\expandafter{\@caption@list}
   \@temptokena{#3}%
   \xdef\@caption@list{%
      \the\toks@
      \noexpand\@caption@entry{\csname fnum@#1\endcsname}{\the\@temptokena}}%
   \addcontentsline{\csname ext@#1\endcsname}{#1}%
         {\protect\numberline{\csname the#1\endcsname}{\ignorespaces #2}}}
\long\def\@makecaption#1#2{%
   \addvspace\abovecaptionskip
   \protected@edef\@tempb{#1}%
   \ifx\@tempb\@empty
      \setbox\tw@\hbox{}%
   \else
      \setbox\tw@\hbox{\small
         #1%
         \def\@tempa{#2}%
         \ifx\@tempa\@empty\else \quad \fi}%
   \fi
   \@tempdima\hsize\relax
   \advance\@tempdima-\wd\tw@
   \def\@tempa{#2}%
   \ifx\@tempa\@empty
      \global\@minipagefalse
      \hb@xt@\hsize{\unhbox\tw@\unskip\hfil}%
   \else
      \setbox\z@\vbox{%
         \hsize\@tempdima \@parboxrestore
         \small
         \leavevmode
         #2}%
      \global\setbox\@ne\vtop{}%
      \setbox\z@\vbox{%
         \dimen@\z@ \unvcopy\z@ \@makecaption@get@boxsize
         \ifdim\dimen@>\@tempdima \dimen@\@tempdima \fi
         \unvbox\z@ \@makecaption@reconstruct@box}%
      \global\@minipagefalse
      \hb@xt@\hsize{\box\tw@ \box\@ne\hfil}%
   \fi
   \vskip\belowcaptionskip}
\def\@makecaption@get@boxsize{%
   \unskip\unpenalty\unskip\unpenalty
   \setbox\tw@\lastbox
   \ifvoid\tw@\else
      \setbox\tw@\hbox{\unhbox\tw@}%
      \ifdim\dimen@<\wd\tw@ \dimen@\wd\tw@ \fi
      \expandafter\@makecaption@get@boxsize
   \fi}
\def\@makecaption@reconstruct@box{%
   \@tempdima\lastskip \unskip\unpenalty
   \advance\@tempdima\lastskip \unskip\unpenalty
   \setbox\tw@\lastbox
   \ifvoid\tw@\else
      \@makecaption@reconstruct@box@count@line
      \global\setbox\@ne\vtop{%
         \hbox to\dimen@{\unhbox\tw@}%
         \vskip\@tempdima
         \unvbox\@ne}%
      \expandafter\@makecaption@reconstruct@box
   \fi}
\let\@makecaption@reconstruct@box@count@line\relax
\def\showcaptions{%
   \ifx\@caption@list\@empty\else
      \ifhmode \unskip\par \fi
      \addvspace\defaultbaselineskip
      \noindent 【図表キャプション】\par
      \@caption@list
   \fi}
\AtEndDocument{%
   \ifx\@note@list\@empty\else \shownotes \fi
   %\showcaptions
   % caption list has been turned off.
   }
\def\@caption@entry#1#2{%
   \noindent #1\hspace{1zw}#2\par}
%
%%% page styles
\def\ps@plain{%
   \let\@oddhead\@empty
   \let\@evenhead\@empty
   \def\@oddfoot{\hfil-\ \thepage\ -\hfil}%
   \let\@evenfoot\@oddfoot
   \let\@mkboth\@gobbletwo
   \let\chaptermark\@gobble
   \let\sectionmark\@gobble}
%
%%% 目次
\setcounter{tocdepth}{2}
\edef\@pnumwidth{2\Cwd}
\def\@tocrmarg{\z@}
\def\tableofcontents{%
   \section*{\contentsname}
   \begingroup \makeatletter
   \@input{\jobname.toc}%
   \par\endgroup
   \if@filesw
      \newwrite\tf@toc
      \immediate\openout\tf@toc=\jobname.toc\relax
   \fi}
\newdimen\@lnumwidth
\def\l@chapter{\@dottedtocline{0}{\z@}{\z@}}
\def\l@section{\@dottedtocline{1}{\z@}{\z@}}
\def\l@subsection{\@dottedtocline{2}{2zw}{\z@}}
\def\l@subsubsection{\@dottedtocline{3}{3zw}{\z@}}
\def\l@paragraph{\@dottedtocline{4}{4zw}{\z@}}
\def\l@subparagraph{\@dottedtocline{5}{5zw}{\z@}}
\def\appendix{%
   \@section@prepare
   \if@nobreak\else \addvspace{\defaultbaselineskip}\fi
   \setcounter{chapter}{0}%
   \setcounter{section}{0}%
   \setcounter{equation}{0}%
   \setcounter{figure}{0}%
   \setcounter{table}{0}%
   \def\thesection{A.\@arabic\c@section}%
   \def\thefigure{A.\@arabic\c@figure}%
   \def\thetable{A.\@arabic\c@table}%
   \begingroup\centering\normalsize\gtfamily
      \appendixname\par
   \endgroup
   \nobreak
   \@afterindenttrue
   \@afterheading}
%
%%% 参考文献リスト
\def\thebibliography#1{%
   \shownotes
   \@section@prepare
   \addvspace{\defaultbaselineskip}%
   \begingroup\centering\small\gtfamily
      \bibname\par
   \endgroup
   \nobreak
   \@nobreaktrue
   \frenchspacing \small \sloppy
   \list{[\theenumi]}{%
      \usecounter{enumi}%
      \labelsep=1zw\relax
      \setbox\z@\hbox{[#1]}%
      \labelwidth\wd\z@
      \leftmargin\labelwidth
      \advance\leftmargin\labelsep
      \itemindent\z@
      \topsep\z@ \partopsep\z@ \itemsep\z@}}
\def\endthebibliography{\endlist}
\def\newblock{\hspace{.33em plus.16em}}
\def\@biblabel#1{[#1]}
\def\@cite@itemsep{,\penalty\@m\ }
\def\@cite@firstdelim{[}
\def\@cite@lastdelim{]}
\def\@cite#1#2{%
   \ifvmode\leavevmode\fi\nobreak
   \if@tempswa\@cite@with@comment{#1}{#2}%
   \else      \@cite@without@comment{#1}%
   \fi}
\def\@cite@with@comment#1#2{%
   \@cite@firstdelim{#1, #2}\@cite@lastdelim}%
\def\@cite@without@comment#1{%
   \@cite@firstdelim{#1}\@cite@lastdelim}
\def\@citex[#1]#2{%
   \let\@cite@reference@list\@empty
   \let\@cite@undefined@reference\@empty
   \@for\@tempa:=#2\do{%
      \edef\@tempa{\expandafter\@firstofone\@tempa\@empty}%
      \if@filesw
         \immediate\write\@auxout{\string\citation{\@tempa}}%
      \fi
      \@ifundefined{b@\@tempa}%
      {\G@refundefinedtrue
          \@latex@warning{Citation `\@tempa' on page
          \thepage \space undefined}%
       \def\@cite@undefined@reference{%
           \@cite@put@itemsep
            \mbox{\reset@font\bfseries ?}}}%
       {\edef\@tempb{{\@nameuse{b@\@tempa}}}%
        \expandafter\@append@list\expandafter
           \@cite@reference@list\@tempb}}%
   \@simplify@list\@cite@reference@list
   \@ascending@sort@list\@cite@reference@list\@compare@num
   \@compress@list\@cite@reference@list
   \@cite{{\let\@elt\@cite@output@elt
           \def\@cite@put@itemsep{%
              \def\@cite@put@itemsep{\@cite@itemsep}}%
            \@cite@reference@list
            \@cite@undefined@reference}}%
    {#1}}%
\def\@cite@output@elt#1#2{%
   \@cite@put@itemsep
   \bgroup
   \count@#2\relax \advance\count@-#1\relax
   \ifnum\count@>\@ne      #1--#2%
   \else\ifnum\count@=\@ne #1\@cite@itemsep#2%
   \else                   #1%
   \fi\fi
   \egroup}
%
%%% index
\def\theindex{%
   \ifhmode \unskip\par \fi
   \footnotesize
   \parindent\z@
   \normalfont
   \interlinepenalty\@M
   \let\item\@idxitem
   \begingroup\centering \indexname
   \par\endgroup
   \nobreak
   }%
\def\endtheindex{\par}
\def\@idxitem{\par\hangindent1zw\relax \leavevmode}
\def\subitem{\@idxitem \hspace*{2zw}}
\def\subsubitem{\@idxitem \hspace*{3zw}}
\def\indexspace{\par}
%
%%% modify ``adding italic correction mechanism'' for Japanese text
\def\check@nocorr@#1#2\nocorr#3\@nil{%
   \let\check@icl\relax
   \def\check@icr{\ifvmode\else \aftergroup\maybe@ic \fi}%
   \def\reserved@a{\nocorr}%
   \def\reserved@b{#1}%
   \def\reserved@c{#3}%
   \ifx\reserved@a\reserved@b
      \ifx\reserved@c\@empty \let\check@icl\@empty
      \else                  \let\check@icl\@empty \let\check@icr\@empty
      \fi
   \else
      \ifx\reserved@c\@empty\else \let\check@icr\@empty \fi
   \fi}
%
%%% \title/\etitle etc.
\def\TYPE#1{\gdef\@type{#1}}
\TYPE{}
\def\title{\@testopt\title@{}}
\def\title@[#1]#2{%
   \gdef\@title{#2}%
   \gdef\@short@title{#1}}
\def\etitle#1{\gdef\@etitle{#1}}
\title{}
\etitle{}
\newcount\@affilid
\global\@affilid\z@
\def\affil#1#2#3{%
   \global\advance\@affilid\@ne
   \expandafter\xdef\csname @affil@no@#1\endcsname{\the\@affilid}%
   \global\@namedef{@affil@label@\the\@affilid}{#1}%
   \global\@namedef{@affil@jdata@#1}{#2}%
   \global\@namedef{@affil@edata@#1}{#3}}
\newcount\@authorid
\global\@authorid\z@
\def\author{\@testopt\@author{}}
\def\@author[#1]#2#3#4{%
   \global\advance\@authorid\@ne
   \global\@namedef{@orcidid@\the\@authorid}{#1}%
   \global\@namedef{@jname@\the\@authorid}{#2}%
   \global\@namedef{@ename@\the\@authorid}{#3}%
   \global\@namedef{@affillabel@\the\@authorid}{#4}}
\newbox\@abstractbox
\def\abstract{%
   \global\setbox\@abstractbox\vbox\bgroup
      \dimen@\textwidth
      \advance\dimen@-6\Cwd
      \hsize\dimen@ \@parboxrestore
      \noindent
      \textgt{\if@englishmode Abstract:\ \else 概要：\fi}%
      \ignorespaces}
\def\endabstract{\egroup}
\global\setbox\@abstractbox\box\voidb@x
\def\keywords#1{\gdef\@keywords{#1}}
\keywords{}
\def\maketitle{%
   \twocolumn[%
      \@put@type
      \@put@jtitle
      \@put@jauthorname
      \@put@jaffil
      \@put@etitle
      \@put@eauthorname
      \@put@eaffil
      \@put@abstract
      \@put@keywords
      \@put@shorttitle
      \bigskip]}
\def\@put@type{%
   \begingroup\large\gtfamily%%% 10pt
   \noindent
   \ifx\@type\@empty \leavevmode \phantom{猫}\else \@type \fi
   \par\endgroup}
\def\@put@jtitle{%
   \ifx\@title\@empty
      \ClassWarning{jacn}{\string\title\space is not given}%
   \else
      \bigskip
      \begingroup\huge\bfseries%%% 18pt
      \@title
      \par\endgroup
   \fi}
\def\@put@jauthorname{%
   \ifnum\@authorid>\z@
      \bigskip
      \begingroup\Large\normalfont%%% 12pt
      \let\@affil@warn\ClassWarning
      \noindent
      \count@\z@
      \def\@author@sep{\def\@author@sep{，}}%
      \@whilenum\count@<\@authorid\do\@put@author
      \par\endgroup
   \else
      \ClassWarning{jacn}{No \string\author\space is given}%
   \fi}
\def\@put@author{%
   \advance\count@\@ne
   \@author@sep
   \@nameuse{@jname@\the\count@}%
   \@put@affillabel
   \expandafter\let\expandafter\@tempurl\csname @orcidid@\the\count@\endcsname
   \ifx\@tempurl\@empty\else
      \let\@temptext\@gobble
      \def\@tempz##1.##2.{%
         \def\@tempx{##2}%
         \expandafter\def\expandafter\@temptext\expandafter{%
            \@temptext{.\allowbreak}##1}%
         \ifx\@tempx\@nnil \expandafter\remove@to@nnil
         \else             \expandafter\@tempz
         \fi
         ##2.}%
      \expandafter\@tempz\@tempurl.\@nil.\@nnil
      \let\@tempurl\@gobble
      \def\@tempz##1/##2/{%
         \def\@tempx{##2}%
         \expandafter\def\expandafter\@tempurl\expandafter{%
            \@tempurl{/\allowbreak}##1}%
         \ifx\@tempx\@nnil \expandafter\remove@to@nnil
         \else             \expandafter\@tempz
         \fi
         ##2/}%
      \expandafter\@tempz\@temptext/\@nil/\@nnil
      \ [\@tempurl\@empty]%
   \fi}
\def\@put@affillabel{%
   \edef\@templist{\@nameuse{@affillabel@\the\count@}}%
   \def\@templabel{\@gobble}%
   \@for\@curr@label:=\@templist\do{%
      \@ifundefined{@affil@no@\@curr@label}%
         {\@affil@warn{jacn}{Affiliate label `\@curr@label' is unknown}%
          \edef\@templabel{\@templabel{,\,}?)}}%
         {\edef\@templabel{\@templabel{,\,}\@nameuse{@affil@no@\@curr@label})}}}%
   \null\textsuperscript{\@templabel}}
\def\@put@jaffil{%
    \medskip
    \begingroup\normalsize\normalfont%%% 9pt
    \noindent
    \count@\z@
    \def\@affil@sep{\def\@affil@sep{，}}%
    \@whilenum\count@<\@affilid\do{%
       \advance\count@\@ne
       \@affil@sep
       \the\count@ ）
       \@nameuse{@affil@jdata@\@nameuse{@affil@label@\the\count@}}}%
    \par\endgroup}
\def\@put@etitle{%
   \ifx\@etitle\@empty
      \ClassWarning{jacn}{\string\etitle\space is not given}%
   \else
      \bigskip
      \begingroup\LARGE\bfseries%%% 16pt
      \@etitle
      \par\endgroup
   \fi}
\def\@put@eauthorname{%
   \ifnum\@authorid>\z@
      \bigskip
      \begingroup\fontsize{11pt}\defaultbaselineskip\normalfont
      \let\@affil@warn\@gobbletwo
      \noindent
      \count@\z@
      \def\@author@sep{\def\@author@sep{,\ }}%
      \@whilenum\count@<\@authorid\do\@put@eauthor
      \par\endgroup
   \fi}
\def\@put@eauthor{%
   \advance\count@\@ne
   \@author@sep
   \@nameuse{@ename@\the\count@}%
   \@put@affillabel}
\def\@put@eaffil{%
    \medskip
    \begingroup\normalsize\normalfont%%% 9pt
    \noindent
    \count@\z@
    \def\@affil@sep{\def\@affil@sep{, }}%
    \@whilenum\count@<\@affilid\do{%
       \advance\count@\@ne
       \@affil@sep
       \the\count@)
       \@nameuse{@affil@edata@\@nameuse{@affil@label@\the\count@}}}%
    \par\endgroup}
\def\@put@abstract{%
   \ifvoid\@abstractbox\else
      \bigskip
      \moveright3\Cwd\box\@abstractbox
      \vskip-.5\baselineskip
   \fi}
\def\@put@keywords{%
   \ifx\@keywords\@empty\else
      \bigskip
      \begingroup \normalsize
      \leftskip=3\Cwd \rightskip=3\Cwd
      \textgt{\if@englishmode Keywords:\ \else キーワード：\fi}%
      \@keywords
      \par\endgroup
   \fi}
\def\@put@shorttitle{%
   \ifx\@short@title\@empty\else
      \bigskip
      \begingroup \normalsize
      \noindent
      ランニングタイトル：\@short@title
      \par\endgroup
   \fi}
%
%%% 謝辞
\def\acknowledgment{%
   \@section@prepare
   \if@nobreak\else \addvspace{\defaultbaselineskip}\fi
   \begingroup\centering\normalsize\gtfamily
      \ackname\par
   \endgroup
   \nobreak
   \@afterindenttrue
   \@afterheading}
\def\endacknowledgment{\par}
\def\contentsname{目次}
\def\bibname{参考文献}\let\refname\bibname
\def\indexname{索\hspace{1zw}引}
\def\appendixname{付\hspace{2zw}録}
\def\ackname{謝\hspace{2zw}辞}
\pagestyle{plain}
\pagenumbering{arabic}
\predisplaypenalty 100
\postdisplaypenalty\z@
\postbreakpenalty92=\@M
\prebreakpenalty`〜=\@M
\xspcode`\{=1
\xspcode`\}=2
\raggedbottom
\widowpenalty\z@
\clubpenalty\z@
\thickmuskip=4mu plus 1mu minus 1mu
\medmuskip=4mu plus 1mu minus 1mu
\thinmuskip=3mu
\endinput
%%
%% End of file `jacn.cls'.

